#!/bin/bash
################################################################################
# k3s Shutdown with Cleanup of Dependencies
################################################################################
# 2019/06 by holger@hpaschke.de
################################################################################

set -x

# Service
sudo systemctl stop k3s

# Backend Containers
sudo pkill -f k8s.io

# shm Mounts
sudo df --output=target | grep -F '/k3s/' | xargs -r sudo umount

# Virtual Network
sudo find /sys/class/net/cni*/. -name 'lower_*' 2>/dev/null | cut -f2 -d_ |
	xargs -rl sudo ip link delete
sudo find /sys/class/net -name "flannel*" -o -name "cni*" | xargs -rl basename |
	xargs -rl sudo ip link delete
